curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/analyseSettings \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/analyseSettings"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/analyseSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "PreAnalyse",
"allowAutomaticPostAnalysis": true,
"analyzeByLanguage": true,
"analyzeByProvider": true,
"countSourceUnits": true,
"includeConfirmedSegments": true,
"includeLockedSegments": true,
"includeNotConfirmedSegments": true,
"includeNumbers": true,
"includeTransMemory": true,
"namingPattern": "<string>"
}Get analyse settings
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project template UID
Response
OK
Base analyseSettingsDto
Response differs based on analyse type: PreAnalyse (source segments analysis), PostAnalyse (machine translation post-editing analysis), PreAnalyseTarget (target segments analysis) or Compare (compares word/character counts across workflow levels)
PreAnalyse, PostAnalyse, PreAnalyseTarget, Compare If automatic post analysis should be created after update source. Default: false
When true, creates one analysis per target language instead of a single combined analysis. Default: false
When true, creates one analysis per assigned provider instead of a single combined analysis. Default: false
Whether the analysis counts source or target word/character units. When true, counts are based on the source language content; when false, counts are based on the target language content. Default: false
When true, confirmed (translated) segments are included in the counts. Default: false
When true, locked segments are included in the counts. Default: false
When true, not confirmed segments are included in the counts. Default: false
When true, number-only segments are included in the counts. Default: false
When true, translation memory matches are included in the counts. Default: false
Was this page helpful?